Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class NameComponentHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.NameComponentHelper

public class NameComponentHelper
extends java.lang.Object

Helper class for : NameComponent

Author:
  OpenORB Compiler

Constructor Summary
`NameComponentHelper()`

Method Summary
`static NameComponent` | `extract(Any a)` Extract NameComponent from an any
`static java.lang.String` | `id()` Return the NameComponent IDL ID
`static void` | `insert(Any a, NameComponent t)` Insert NameComponent into an any
`static NameComponent` | `read(InputStream istream)` Read NameComponent from a marshalled stream
`static TypeCode` | `type()` Return the NameComponent TypeCode
`static void` | `write(OutputStream ostream, NameComponent value)` Write NameComponent into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameComponentHelper

    public NameComponentHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NameComponent t)

  Insert NameComponent into an any
  Parameters:
    `a` - an any
    `t` - NameComponent value

### extract

    public static NameComponent extract(Any a)

  Extract NameComponent from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted NameComponent value

### type

    public static TypeCode type()

  Return the NameComponent TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the NameComponent IDL ID
  Returns:
    an ID

### read

    public static NameComponent read(InputStream istream)

  Read NameComponent from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed NameComponent value

### write

    public static void write(OutputStream ostream,
                             NameComponent value)

  Write NameComponent into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - NameComponent value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD